## gnome-initial-setup 3.38.1

=== debian/changelog ===
gnome-initial-setup (3.38.1-1ubuntu2~20.10.1) groovy; urgency=medium

  * Backport from hirsute to groovy for SRU.
  * control, gbp.conf: Update git branch to ubuntu/groovy for SRU

 -- Iain Lane <iain.lane@canonical.com>  Tue, 27 Oct 2020 18:03:16 +0000

gnome-initial-setup (3.38.1-1ubuntu2) hirsute; urgency=medium

  * Don't cast a GtkLabel into a GisSnapTile.
    We populate a GtkFlowBox with tiles representing features snaps. There
    might not be exactly enough to fill up the entire number of rows, so the
    remaining cells are filled up with blank space, which is actually a
    GtkLabel.
    When clicking these tiles, we launch Software to the application that's
    been clicked. That is done by looking inside the tile to find its
    associated snap.
    We try to do this 'looking inside' for the blank tiles too. But they
    aren't snaps at all - as mentioned above, they are GtkLabels. We illegally
    cast to a snap tile, and then operate on it. At best, this leads to a
    warning on stderr and Software getting spawned to display a nonsense
    application. At worst we crash.
    Fix this by altering the callback to check if we have clicked on a snap or
    not. In the not case, simply return and do nothing. (LP: #1901548)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 27 Oct 2020 17:57:59 +0000

gnome-initial-setup (3.38.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
  * debian/control.in, debian/rules:
    - build without malcontent for now since it's in universe
  * debian/vendor.conf,
    debian/patches/0001-Don-t-run-welcome-tour-at-end.patch:
    - use the new vendor configuration instead of a patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 11:26:23 +0200

gnome-initial-setup (3.38.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 11:15:01 +0200

gnome-initial-setup (3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 16:27:03 +0200

gnome-initial-setup (3.37.91-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - require gsettings-desktop-schemas and webkitgtk 2.26
  * debian/copyright:
    - updated list of copyright owners
  * debian/docs:
    - updated for the README renaming
  * debian/patches/revert_gnome_tour.patch:
    - revert back to start yelp until gnome-tour is packaged in Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 14 Aug 2020 15:29:10 +0200

gnome-initial-setup (3.36.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Recommends accountsservice, this is used by gis
  * debian/control.in: Bump malcontent to Recommends

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Jul 2020 14:38:00 +0200

gnome-initial-setup (3.36.3-2) unstable; urgency=medium

  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Enable malcontent on supported architectures

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Jul 2020 12:11:29 +0200

gnome-initial-setup (3.36.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Jun 2020 21:50:34 +0200

gnome-initial-setup (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Apr 2020 12:01:34 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-initial-setup
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gnome,
               gsettings-desktop-schemas-dev (>= 3.37.1),
               itstool,
               libaccountsservice-dev,
               libcheese-gtk-dev (>= 3.28),
               libfontconfig1-dev,
               libgdm-dev (>= 3.8.3),
               libgeoclue-2-dev (>= 2.3.1),
               libgeocode-glib-dev,
               libglib2.0-dev (>= 2.63.1),
               libgnome-desktop-3-dev (>= 3.7.5),
               libgoa-1.0-dev,
               libgoa-backend-1.0-dev,
               libgtk-3-dev (>= 3.19.12),
               libgweather-3-dev (>= 3.13.91),
               libibus-1.0-dev (>= 1.5.2),
               libjson-glib-dev,
               libkrb5-dev,
               libnm-dev (>= 1.2),
               libnma-dev (>= 1.0),
               libpango1.0-dev (>= 1.32.5),
               libpolkit-gobject-1-dev (>= 0.103),
               libpwquality-dev,
               librest-dev,
               libsecret-1-dev (>= 0.18.8),
               libsnapd-glib-dev,
               libsoup2.4-dev,
               libsysmetrics-dev,
               libsystemd-dev [linux-any],
               libwebkit2gtk-4.0-dev (>= 2.26),
               libxml2-utils,
               meson (>= 0.49.0),
               policykit-1,
Rules-Requires-Root: no
Standards-Version: 4.5.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/groovy
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/groovy
Homepage: https://git.gnome.org/browse/gnome-initial-setup/

Package: gnome-initial-setup
Architecture: linux-any
Depends: ${shlibs:Depends},
         policykit-1 (>= 0.103),
         adduser,
         gnome-settings-daemon (>= 3.24),
         ${logo:Depends},
         ${misc:Depends}
Recommends: accountsservice,
            geoclue-2.0 (>= 2.3.1),
            gnome-getting-started-docs,
            gnome-keyring,
Suggests: gdm3,
Description: Initial GNOME system setup helper
 After acquiring or installing a new system there are a few essential things
 to set up before use. GNOME Initial Setup aims to provide a simple, easy,
 and safe way to prepare a new system.
 .
 GNOME Initial Setup runs the first time you log in to the GNOME desktop
 and lets you easily configure your language, keyboard layout, online accounts
 integration, and more.
 .
 If you want to configure these things at any other time, run the Settings app.

## gnome-initial-setup 3.38.4

=== meson_options.txt ===
option('vendor-conf-file',
       type: 'string',
       description: 'points to a keyfile containing vendor customization, use this only to override the usual search path'
)

option('cheese',
       description: 'enable support for Cheese',
       type: 'feature',
       value: 'auto'
)

option('ibus',
       description: 'enable support for IBus',
       type: 'feature',
       value: 'auto'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)

option('parental_controls',
  type: 'feature',
  value: 'auto',
  description: 'Enable parental controls pages',
)

=== debian/changelog ===
gnome-initial-setup (3.38.4-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Feb 2021 11:47:41 +0100

gnome-initial-setup (3.38.3-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 Jan 2021 16:46:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
@@ -27,6 +26,8 @@
                libibus-1.0-dev (>= 1.5.2),
                libjson-glib-dev,
                libkrb5-dev,
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
+               libmalcontent-ui-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libnm-dev (>= 1.2),
                libnma-dev (>= 1.0),
                libpango1.0-dev (>= 1.32.5),
@@ -34,20 +35,13 @@
                libpwquality-dev,
                librest-dev,
                libsecret-1-dev (>= 0.18.8),
-               libsnapd-glib-dev,
-               libsoup2.4-dev,
-               libsysmetrics-dev,
                libsystemd-dev [linux-any],
                libwebkit2gtk-4.0-dev (>= 2.26),
-               libxml2-utils,
-               meson (>= 0.49.0),
-               policykit-1,
+               meson (>= 0.49.0)
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/groovy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/groovy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
@@ -62,6 +56,7 @@
             geoclue-2.0 (>= 2.3.1),
             gnome-getting-started-docs,
             gnome-keyring,
+            malcontent [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
 Suggests: gdm3,
 Description: Initial GNOME system setup helper
  After acquiring or installing a new system there are a few essential things

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64))
PARENTAL_CONTROL := -Dparental_controls=enabled
else
PARENTAL_CONTROL := -Dparental_controls=disabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(PARENTAL_CONTROL) \
		-Dvendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf

# Skip language chooser on Ubuntu since it doesn't work there
override_dh_install:
	dh_install
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	dh_install debian/vendor.conf /usr/lib/gnome-initial-setup
endif

# Depend on the appropriate package for the Welcome logo
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Debian)
	dh_gencontrol -- -Vlogo:Depends='desktop-base'
else ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vlogo:Depends='gnome-control-center-data'
else
	dh_gencontrol
endif

## gnome-initial-setup 40.4

=== debian/changelog ===
gnome-initial-setup (40.4-1ubuntu1) impish; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
  * debian/control.in, debian/rules:
    - build without malcontent for now since it's in universe
  * debian/vendor.conf,
    debian/patches/0001-Don-t-run-welcome-tour-at-end.patch:
    - use the new vendor configuration instead of a patch
  * debian/patches/ubuntu_newuser_wizard.patch:
    - revert the new upstream behaviour of not using the wizard for
      existing users since it has a purpose in Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Aug 2021 10:23:07 +0200

gnome-initial-setup (40.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 09:34:06 -0400

gnome-initial-setup (40.2-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: minor cleanup
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 09:00:43 -0400

gnome-initial-setup (40.2-1ubuntu1) impish; urgency=medium

  * debian/patches/ubuntu_newuser_wizard.patch:
    - revert the new upstream behaviour of not using the wizard for
      existing users since it has a purpose in Ubuntu
  * Resynchronize with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
  * debian/control.in, debian/rules:
    - build without malcontent for now since it's in universe
  * debian/vendor.conf,
    debian/patches/0001-Don-t-run-welcome-tour-at-end.patch:
    - use the new vendor configuration instead of a patch

  [ Gunnar Hjalmarsson ]
  * Stop recommending gnome-getting-started-docs - archived upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 16:23:01 +0200

gnome-initial-setup (40.2-1) experimental; urgency=medium

  * New upstream release
  * debian/gnome-initial-setup.maintscript:
    - remove obsolete gnome-welcome-tour.desktop

  [ Gunnar Hjalmarsson ]
  * Stop recommending gnome-getting-started-docs - archived upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 16:20:16 +0200

gnome-initial-setup (40.1-1) experimental; urgency=medium

  * New upstream release
  * Remove .desktop symlink hack, the issue is fixed upstream now
  * debian/patches/revert_gnome_tour.patch:
    - removed, the code it was patching has been deprecated

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 May 2021 12:56:59 +0200

gnome-initial-setup (3.38.5-2) experimental; urgency=medium

  * debian/control.in:
    - Build-Depends on systemd, some other required package used to pull
      it in but isn't anymore which is failing the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 21:56:29 +0200

gnome-initial-setup (3.38.5-1ubuntu1) impish; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
  * debian/control.in, debian/rules:
    - build without malcontent for now since it's in universe
  * debian/vendor.conf,
    debian/patches/0001-Don-t-run-welcome-tour-at-end.patch:
    - use the new vendor configuration instead of a patch

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 16:26:10 +0200

gnome-initial-setup (3.38.5-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 16:23:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 3.37.1),
                itstool,
@@ -26,8 +27,6 @@
                libibus-1.0-dev (>= 1.5.2),
                libjson-glib-dev,
                libkrb5-dev,
-               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
-               libmalcontent-ui-0-dev [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
                libnm-dev (>= 1.2),
                libnma-dev (>= 1.0),
                libpango1.0-dev (>= 1.32.5),
@@ -35,13 +34,21 @@
                libpwquality-dev,
                librest-dev,
                libsecret-1-dev (>= 0.18.8),
+               libsnapd-glib-dev,
+               libsoup2.4-dev,
+               libsysmetrics-dev,
                libsystemd-dev [linux-any],
                libwebkit2gtk-4.0-dev (>= 2.26),
-               meson (>= 0.49.0)
+               libxml2-utils,
+               meson (>= 0.49.0),
+               policykit-1,
+               systemd ( >= 242),
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/master
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
@@ -54,9 +61,7 @@
          ${misc:Depends}
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.3.1),
-            gnome-getting-started-docs,
             gnome-keyring,
-            malcontent [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64],
 Suggests: gdm3,
 Description: Initial GNOME system setup helper
  After acquiring or installing a new system there are a few essential things

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dparental_controls=disabled \
		-Dvendor-conf-file=/usr/lib/gnome-initial-setup/vendor.conf

# Skip language chooser on Ubuntu since it doesn't work there
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
execute_after_dh_install:
	dh_install debian/vendor.conf /usr/lib/gnome-initial-setup
endif

# Depend on the appropriate package for the Welcome logo
override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Debian)
	dh_gencontrol -- -Vlogo:Depends='desktop-base'
else ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vlogo:Depends='gnome-control-center-data'
else
	dh_gencontrol
endif

## gnome-initial-setup 42.0.1

=== debian/changelog ===
gnome-initial-setup (42.0.1-1ubuntu2) jammy; urgency=medium

  * debian/patches/ubuntu-distributor-logo.patch:
    - replace another use of the wrong logo (lp: #1966115)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Mar 2022 09:35:08 +0200

gnome-initial-setup (42.0.1-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
      - ubuntu_newuser_wizard.patch:
        + revert the new upstream behaviour of not using the wizard for
          existing users since it has a purpose in Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Mar 2022 16:23:11 +0100

gnome-initial-setup (42.0.1-1) unstable; urgency=medium

  * New upstream release, remove patch included in the update

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Mar 2022 14:50:12 +0100

gnome-initial-setup (42~beta-1ubuntu2) jammy; urgency=medium

  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - use distributor-logo instead of ubuntu-logo-icon from the settings
      (lp: #1966115)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Mar 2022 13:38:08 +0100

gnome-initial-setup (42~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Add patch to support GNOME 42 dark theme preference
  * Revert switch to libgweather4
  * Build-Depend on libgnome-desktop-4-dev instead of libgnome-desktop-3-dev
  * debian/control.in: Build-Depend on libhandy
  * debian/vendor.conf: Drop unused run_welcome_tour line

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 16 Feb 2022 10:34:12 -0500

gnome-initial-setup (41.2-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-41 branch commit 41.2-2-g916995f0
    - Update Icelandic translation
  * d/p/build-Fix-Meson-deprecation-warning.patch:
    Add patch from upstream to fix FTBFS with recent Meson
    (Closes: #1004780)

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Feb 2022 23:03:00 +0000

gnome-initial-setup (41.2-1) unstable; urgency=medium

  * New upstream release
  * debian/vendor.conf: Don't try to run the welcome tour on Ubuntu

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 05 Dec 2021 02:57:19 -0500

gnome-initial-setup (41.0-1ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
    + debian/vendor.conf,
      - we don't do the upstream welcome tour on Ubuntu, it's not packaged
        and not adapted to our customized desktop configuration
  * debian/patches/ubuntu_newuser_wizard.patch:
    - revert the new upstream behaviour of not using the wizard for
      existing users since it has a purpose in Ubuntu
  * Removed delta since it's included in Debian now
    * debian/control.in, debian/rules:
      - build without malcontent for now since it's in universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Nov 2021 12:46:05 +0100

gnome-initial-setup (41.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.50.0
  * Install Ubuntu's vendor.conf in upstream recommended /usr/share/
  * Don't build with malcontent on Ubuntu since it's not in Ubuntu main

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 17 Sep 2021 07:05:14 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 3.37.1),
@@ -19,11 +19,12 @@
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev,
                libglib2.0-dev (>= 2.63.1),
-               libgnome-desktop-3-dev (>= 3.7.5),
+               libgnome-desktop-4-dev,
                libgoa-1.0-dev,
                libgoa-backend-1.0-dev,
                libgtk-3-dev (>= 3.19.12),
                libgweather-3-dev (>= 3.13.91),
+               libhandy-1-dev (>= 1.5.90),
                libibus-1.0-dev (>= 1.5.2),
                libjson-glib-dev,
                libkrb5-dev,
@@ -40,7 +41,7 @@
                libsystemd-dev [linux-any],
                libwebkit2gtk-4.0-dev (>= 2.26),
                libxml2-utils,
-               meson (>= 0.49.0),
+               meson (>= 0.50.0),
                policykit-1,
                systemd ( >= 242),
 Rules-Requires-Root: no
@@ -62,6 +63,7 @@
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.3.1),
             gnome-keyring,
+            ${malcontent:Recommends}
 Suggests: gdm3,
 Description: Initial GNOME system setup helper
  After acquiring or installing a new system there are a few essential things

## gnome-initial-setup 43.0

=== debian/changelog ===
gnome-initial-setup (43.0-1ubuntu2) kinetic; urgency=medium

  * Update 0001-Add-Ubuntu-mode-with-special-pages.patch:
    - Fix no option selected by default for Help Improve Ubuntu (LP: #1993495)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 19 Oct 2022 10:53:46 -0300

gnome-initial-setup (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev and libsysmetrics-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
  * Drop unnecessary Build-Depends on libsoup-3.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 12:14:21 -0400

gnome-initial-setup (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Re-enable Privacy page
  * Re-enable malcontent integration for Debian

  [ Simon McVittie ]
  * d/control.in: Replace transitional libfontconfig1-dev with libfontconfig-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 11:44:22 -0400

gnome-initial-setup (43~rc.1-1ubuntu1) kinetic; urgency=medium

  * Merge with debian, containing new upstream release
  * debian/patches: Port Ubuntu pages to Gtk4 and enable them again.
    Moved code to the newer toolkit, adding more async operations and an UI
    redesigned with more Adwaita look and feel.
    Also, remove the livepatch support because:
     - We don't support point releases
     - It will be moved to the installer for the next LTS.
  * debian/control: Build-depend on libsoup-3.0-dev, required by snap panel
  * debian/control: Remove dependency on polkitd.
    It was required by the livepatch page but we don't use it anymore.
  * debian/patches: Refresh and remove debian's patch to disable webkit2gtk5
  * Remaining changes with debian:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup3-dev, libsysmetrics-dev,
        libwebkit2gtk-5.0-dev
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Sep 2022 19:30:37 +0200

gnome-initial-setup (43~rc.1-1) unstable; urgency=high

  * New upstream release
  * Add patch to disable privacy page. It uses webkitgtk 5.0
    which is still only in Debian Experimental
  * debian/control.in: Drop webkitgtk from Build-Depends for now
  * Add patch from Ubuntu to re-enable existing-user mode.
    It was disabled upstream because it conflicts with gnome-tour
    but gnome-tour isn't available in Debian or Ubuntu yet
  * Release to unstable (Closes: #1019106)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 11:04:27 -0400

gnome-initial-setup (43~beta-0ubuntu1) kinetic; urgency=medium

  * New upstream release
  * Switch to gtk4, libadwaita, and libsoup3
  * Drop obsolete cheese dependency
  * Build-Depend on libxml2-utils for xmllint
  * Temporarily disable malcontent integration
  * Refresh patches
  * Disable Ubuntu patch that needs to be ported to gtk4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 29 Aug 2022 15:22:18 -0400

gnome-initial-setup (42.2-1ubuntu2) kinetic; urgency=medium

  * Rebuild against latest gnome-desktop

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 09:41:22 -0400

gnome-initial-setup (42.2-1ubuntu1) kinetic; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    + debian/control.in:
      - Build-Depends on libsnapd-glib-dev, libsoup2.4-dev, libsysmetrics-dev,
        polkitd, libxml2-utils
    + Add Ubuntu-specific patches:
      - 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      - 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      - 0001-Add-Ubuntu-mode-with-special-pages.patch
      - 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      - 0006-goa-Add-Ubuntu-Single-Sign-On-to-the-list.patch
      - 0007-goa-adjust-description-to-not-mention-email-or-conta.patch
      - Don-t-show-Facebook-in-Ubuntu.patch
      - 0008-Ubuntu-location-default.patch
      - ubuntu_newuser_wizard.patch:
        + revert the new upstream behaviour of not using the wizard for
          existing users since it has a purpose in Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Jun 2022 17:01:56 -0400

gnome-initial-setup (42.2-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Jun 2022 16:47:25 -0400

gnome-initial-setup (42.1.1-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 13:37:45 -0400

gnome-initial-setup (42.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream translations release
  * Add debian/upstream/metadata
  * Bump Standards-Version to 4.6.0

  [ Will Thompson ]
  * debian/copyright: Remove obsolete license exception for um-realm-manager.*

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Apr 2022 11:55:21 -0400

gnome-initial-setup (42.0.1-2) unstable; urgency=medium

  * Switch to libgweather4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 11:55:08 -0400

gnome-initial-setup (42.0.1-1ubuntu3) kinetic; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -7,45 +7,44 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 3.37.1),
                itstool,
                libaccountsservice-dev,
-               libcheese-gtk-dev (>= 3.28),
-               libfontconfig1-dev,
+               libadwaita-1-dev (>= 1.2~alpha),
+               libfontconfig-dev,
                libgdm-dev (>= 3.8.3),
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev,
                libglib2.0-dev (>= 2.63.1),
                libgnome-desktop-4-dev,
-               libgoa-1.0-dev,
-               libgoa-backend-1.0-dev,
-               libgtk-3-dev (>= 3.19.12),
-               libgweather-3-dev (>= 3.13.91),
-               libhandy-1-dev (>= 1.5.90),
+               libgoa-1.0-dev (>= 3.45.1),
+               libgoa-backend-1.0-dev (>= 3.45.1),
+               libgtk-4-dev,
+               libgweather-4-dev (>= 4.1),
                libibus-1.0-dev (>= 1.5.2),
                libjson-glib-dev,
                libkrb5-dev,
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa hurd-i386 ppc64 riscv64],
+               libmalcontent-ui-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa hurd-i386 ppc64 riscv64],
                libnm-dev (>= 1.2),
-               libnma-dev (>= 1.0),
+               libnma-gtk4-dev (>= 1.0),
                libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),
                libpwquality-dev,
-               librest-dev,
+               librest-dev (>= 0.9.1),
                libsecret-1-dev (>= 0.18.8),
                libsnapd-glib-dev,
-               libsoup2.4-dev,
                libsysmetrics-dev,
                libsystemd-dev [linux-any],
-               libwebkit2gtk-4.0-dev (>= 2.26),
+               libwebkit2gtk-5.0-dev,
                libxml2-utils,
                meson (>= 0.50.0),
-               policykit-1,
                systemd ( >= 242),
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/master

## gnome-initial-setup 43.2

=== meson_options.txt ===
--- 
+++ 
@@ -1,12 +1,6 @@
 option('vendor-conf-file',
        type: 'string',
        description: 'points to a keyfile containing vendor customization, use this only to override the usual search path'
-)
-
-option('cheese',
-       description: 'enable support for Cheese',
-       type: 'feature',
-       value: 'auto'
 )
 
 option('ibus',

=== debian/changelog ===
gnome-initial-setup (43.2-6) unstable; urgency=medium

  * Team upload
  * d/p/privacy-Move-subtitles-to-separate-labels.patch:
    Fix Mozilla Location Services privacy policy link in kiosk mode.
    The privacy policy links on the Privacy page are meant to be overridden
    to open in an embedded (WebKitGTK-based) web browser widget instead of
    an external web browser, but a regression in the port to GTK 4 between
    GNOME 42 and 43 caused this behaviour to break.
    In existing-user mode (run on the first GNOME login for a new user
    account), the link would previously have opened in the default web
    browser (normally Firefox), which is harmless but was not the
    intended UX.
    In new-user mode (when no user accounts exist), Initial Setup runs in a
    captive "kiosk mode" to create the first user account. In this mode, the
    link would previously not do anything. A mitigation is that this failure
    mode is rarely seen in Debian, because the installer normally creates a
    user account. (Closes: #1033228)

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Mar 2023 15:27:27 +0000

gnome-initial-setup (43.2-5) unstable; urgency=medium

  * Build against webkitgtk 6.0 instead of 5.0
  * Cherry-pick a build fix for latest webkitgtk

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 20:18:52 -0400

gnome-initial-setup (43.2-4) unstable; urgency=medium

  * Team upload
  * d/p/keyboard-Resort-refilter-list-when-picking-shortlist.patch:
    Add patch from upstream 44.rc to display more input methods and
    keyboard layouts without clicking the "more..." button. This has
    a known issue that the shortlist of keyboard layouts is often not
    particularly useful, but at least it includes the default and
    current layouts (possibly different) and some other possibilities.
  * d/p/keyboard-Correctly-update-labels-for-IBus-engines.patch,
    d/p/keyboard-Update-filter-and-sort-when-the-display-name-cha.patch:
    Rework patches for xkb layout and IBus method selection, fixing a
    crash on startup (Closes: #1032448)
  * d/README.source: Add some notes on how to smoke-test this package.
    Thanks to Jeremy Bicha (via #1032448)
  * d/p/driver-Set-a-non-trivial-window-title.patch:
    Add patch to set a window title.
    This is one of the first things a new GNOME user will see, so let's
    make it a bit more polished.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Mar 2023 23:46:19 +0000

gnome-initial-setup (43.2-3) unstable; urgency=medium

  * Team upload
  * d/p/Add-StartupWMClass-to-.desktop-file.patch:
    Replace previous patch for app ID handling with upstream equivalent.
    gnome-initial-setup is not a syntactically valid app ID. Return to the
    syntactically valid app ID used upstream, and set the StartupWMClass
    instead.
    This gives us a correct window title in the Overview and the
    Alt+(key above Tab) window switcher, unlike the patch in 43.2-2.
  * d/p/reenable-existing-user-mode.patch:
    Add a note of which upstream commit we're reverting
  * d/patches: Reorder with closest-to-upstream first
  * d/p/keyboard-Correctly-update-labels-for-IBus-engines.patch,
    d/p/keyboard-Update-filter-and-sort-when-the-display-name-cha.patch:
    Correctly update input method chooser with info from IBus.
    This ensures that when the default is an IBus-based input method like
    Anthy (currently GNOME's default for ja_JP in bookworm) or Mozc (requested
    as a new default for ja_JP in #1029821), it will be displayed with its
    correct label like "Japanese (Anthy)" or "日本語 (Mozc)" instead of
    a placeholder name "anthy" or "mozc-jp". (Closes: #1032382)

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Mar 2023 17:39:30 +0000

gnome-initial-setup (43.2-2) unstable; urgency=medium

  * Add patch to fix broken icon and app name

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Mar 2023 17:32:26 -0500

gnome-initial-setup (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 09:27:10 -0500

gnome-initial-setup (43.1-2) unstable; urgency=medium

  * Team upload
  * Depend on polkitd and pkexec instead of transitional policykit-1.
    This package runs pkexec, so that dependency is still needed.
  * d/copyright: use spaces rather than tabs to start continuation lines
  * d/control.in: Update standards version to 4.6.1 (no changes needed)
  * d/upstream/metadata: Update Gitlab URLs

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Nov 2022 08:36:43 +0000

gnome-initial-setup (43.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 18 Oct 2022 13:08:46 -0400

gnome-initial-setup (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Switch to gtk4, libadwaita, and libsoup3
  * Drop obsolete cheese dependency
  * Build-Depend on libxml2-utils for xmllint
  * Temporarily disable malcontent integration

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 15:34:39 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -36,25 +35,22 @@
                libpwquality-dev,
                librest-dev (>= 0.9.1),
                libsecret-1-dev (>= 0.18.8),
-               libsnapd-glib-dev,
-               libsysmetrics-dev,
                libsystemd-dev [linux-any],
-               libwebkit2gtk-5.0-dev,
+               libwebkitgtk-6.0-dev,
                libxml2-utils,
                meson (>= 0.50.0),
                systemd ( >= 242),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/master
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
 Architecture: linux-any
 Depends: ${shlibs:Depends},
-         policykit-1 (>= 0.103),
+         pkexec (>= 0.103),
+         polkitd (>= 0.103),
          adduser,
          gnome-settings-daemon (>= 3.24),
          ${logo:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

# malcontent it not in Ubuntu main yet & is only built on some arches
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
PARENTAL_CONTROL := -Dparental_controls=disabled
else
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa hurd-i386 ppc64 riscv64))
PARENTAL_CONTROL := -Dparental_controls=enabled
else
PARENTAL_CONTROL := -Dparental_controls=disabled
endif
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(PARENTAL_CONTROL)

# Skip language chooser on Ubuntu since it doesn't work there
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
execute_after_dh_install:
	dh_install debian/vendor.conf /usr/share/gnome-initial-setup/
endif

# Depend on the appropriate package for the Welcome logo
# And don't add malcontent Recommends in Ubuntu
override_dh_gencontrol:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	dh_gencontrol -- -Vlogo:Depends='gnome-control-center-data'
else
	dh_gencontrol -- -Vlogo:Depends='desktop-base' \
	-Vmalcontent:Recommends='malcontent [amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el s390x hppa powerpc powerpcspe ppc64]'
endif

## gnome-initial-setup 44.0

=== debian/changelog ===
gnome-initial-setup (44.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:28:52 -0400

gnome-initial-setup (44.0-1) experimental; urgency=medium

  * New upstream release
  * Drop 4 patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 14:27:06 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 3.37.1),
@@ -41,7 +41,7 @@
                meson (>= 0.50.0),
                systemd ( >= 242),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
